import { BaseService, Service } from '@/cool';

export class SingleService extends BaseService {
	// 操作日志
	log(data) {
		return this.request({
			url: '/admin-log/list',
			params: data
		});
	}

	// 我的代理列表 b
	applyList(data) {
		return this.request({
			url: '/apply/list',
			params: data
		});
	}

	// 我的代理资产 b
	assetDet(data) {
		return this.request({
			url: '/agent-asset/detail',
			params: data
		});
	}

	// 常用链接 b
	commonUrl(data) {
		return this.request({
			url: '/merchant/common-url',
			params: data
		});
	}

	// 常用链接 b
	capitalList(data) {
		return this.request({
			url: '/merchant-capital/list',
			params: data
		});
	}

	// 获取商品通用简介 b
	getGoodsIntro(data) {
		return this.request({
			url: '/goods/introduce',
			params: data
		});
	}

	// 更新商品通用简介 b
	editGoodsIntro(data) {
		return this.request({
			url: '/goods/update-introduce',
			method: 'POST',
			data: data
		});
	}

	// 商品管理-运费设置 b
	setFreight(data) {
		return this.request({
			url: '/merchant/freight-setting',
			params: data
		});
	}

	// 地图查询 m b s w
	mapSuggestion(data) {
		return this.request({
			url: '/map/suggestion',
			params: data
		});
	}

	// ============================ 订单操作 ===========================
	/** *
	 * 发货详情（发货、继续、查看配送） b
	 */
	orderSendDet(data) {
		return this.request({
			url: '/order-send/detail',
			params: data
		});
	}

	/** *
	 * 发货操作-打单 b
	 */
	printOrder(data) {
		return this.request({
			url: '/order-send/print-order',
			method: 'POST',
			data: data
		});
	}

	/** *
	 * 发货操作-发货 b
	 */
	orderDeliver(data) {
		return this.request({
			url: '/order-send/deliver',
			method: 'POST',
			data: data
		});
	}

	/** *
	 * 发货操作-送达 b
	 */
	orderReach(data) {
		return this.request({
			url: '/order-send/reach',
			method: 'POST',
			data: data
		});
	}

	/** *
	 * 发货操作-送达 b
	 */
	orderClass(data) {
		return this.request({
			url: '/order/classify',
			method: 'POST',
			data: data
		});
	}
}

export default new SingleService();
